---
names: 
  full: "Google Cloud MySQL Instance Skip_show_database Database Flag is not set to on"
  contextual: "MySQL Instance Skip_show_database Database Flag is not set to on"
description: "It is recommended to set skip_show_database database flag for Cloud SQL Mysql instance to on"
type: COMPLIANCE_POLICY
categories:
  - "SECURITY"
frameworkMappings:
  - /frameworks/cis-gcp-v3.0.0/06/01/02
  - /frameworks/cloudaware/resource-security/secure-access
  - /frameworks/nist-sp-800-53-r5/ac/03
  - /frameworks/nist-sp-800-53-r5/ac/05
  - /frameworks/nist-sp-800-53-r5/ac/06
  - /frameworks/nist-sp-800-53-r5/mp/02
  - /frameworks/pci-dss-v4.0/01/03/01
  - /frameworks/iso-iec-27001-2022/05/10
  - /frameworks/iso-iec-27001-2022/05/15
  - /frameworks/iso-iec-27001-2022/08/03
  - /frameworks/iso-iec-27001-2022/08/04
  - /frameworks/nist-csf-v1.1/pr-ac/04
  - /frameworks/soc-2/cc5/02/03
  - /frameworks/soc-2/cc6/01/03
  - /frameworks/soc-2/cc6/01/07
similarPolicies:
  cloudConformity:
    - url: "https://www.trendmicro.com/cloudoneconformity-staging/knowledge-base/gcp/CloudSQL/enable-skip-show-database-flag.html"
      name: "Enable 'skip_show_database' Flag for MySQL Database Instances"
